Texa DeskDevelopers

Texa Desk Application API · Reports

Get conversation statistics grouped by team

GET/api/v2/accounts/{account_id}/summary_reports/team

Get conversation statistics grouped by team for a given date range. Returns metrics for each team including conversation counts, resolution counts, average first response time, average resolution time, and average reply time.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

sincestring

The timestamp from where report should start (Unix timestamp).

untilstring

The timestamp from where report should stop (Unix timestamp).

business_hoursboolean

Whether to calculate metrics using business hours only.

Responses

200

Success

idnumber

The team ID

conversations_countnumber

Number of conversations assigned to the team during the date range

resolved_conversations_countnumber

Number of conversations resolved by the team during the date range

avg_resolution_timenumber

Average time (in seconds) to resolve conversations. Null if no data available.

avg_first_response_timenumber

Average time (in seconds) for the first response. Null if no data available.

avg_reply_timenumber

Average time (in seconds) between replies. Null if no data available.

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring